export { Prisma } from './prisma/prisma';
export { LruCache } from './caches/local';
export { Memcached } from './caches/memcached';
export declare type Maybe<T> = T | null;
export interface Cache {
    read: (key: string) => Maybe<string>;
    write: (key: string, value: string) => void;
}
export interface AsyncCache {
    read: (key: string) => Promise<Maybe<string>>;
    write: (key: string, value: string) => Promise<void>;
}
export declare const PureActions: string[];
export declare const ImpureActions: string[];
